Deleted Added
sdiff udiff text old ( 255795 ) new ( 255839 )
full compact
1#!/bin/sh
2#
3# $FreeBSD: head/contrib/unbound/freebsd-configure.sh 255839 2013-09-24 09:56:10Z des $
4#
5
6set -e
7
8error() {
9 echo "$@" >&2
10 exit 1
11}

--- 7 unchanged lines hidden (view full) ---

19
20ldnsbld=$(realpath $unbound/../../lib/libldns)
21[ -f $ldnsbld/Makefile ] || error "can't find LDNS build directory"
22
23ldnsobj=$(realpath $(make -C$ldnsbld -V.OBJDIR))
24[ -f $ldnsobj/libldns.a ] || error "can't find LDNS object directory"
25export LDFLAGS="-L$ldnsobj"
26
27autoconf
28autoheader
29./configure \
30 --prefix= --exec-prefix=/usr \
31 --with-conf-file=/var/unbound/unbound.conf \
32 --with-run-dir=/var/unbound \
33 --with-username=unbound
34
35# Regenerate the configuration parser
36{
37cat <<EOF
38#include "config.h"
39#include "util/configyyrename.h"
40EOF
41/usr/bin/flex -L -t util/configlexer.lex
42} >util/configlexer.c
43
44/usr/bin/yacc -d -o util/configparser.c util/configparser.y